Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.geometry.euclidean.threed
Class NotARotationMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.geometry.euclidean.threed.NotARotationMatrixException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class NotARotationMatrixException

extends MathIllegalArgumentException

This class represents exceptions thrown while building rotations from matrices.

Since:
  1.2
Version:
  $Id: NotARotationMatrixException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`NotARotationMatrixException(Localizable specifier, Object... parts)` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotARotationMatrixException

    public NotARotationMatrixException(Localizable specifier,
                                       Object... parts)

  Simple constructor. Build an exception by translating and formating a message

  Parameters:
    `specifier` - format specifier (to be translated)
    `parts` - to insert in the format (no translation)
  Since:
    2.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.